# Copyright (c) 1991-2002 Doshita Lab. Speech Group, Kyoto University
# Copyright (c) 2000-2002 Speech and Acoustics Processing Lab., NAIST
# All rights reserved 
#
# $Id: Makefile.in,v 1.5 2002/09/11 22:04:25 ri Exp $
#
SHELL=/bin/sh
.SUFFIXES:
.SUFFIXES: .c .o
.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<

LIBSENT=../libsent
CC=@CC@
CFLAGS=@CFLAGS@
CPPFLAGS=-I$(LIBSENT)/include @CPPFLAGS@ @DEFS@ `$(LIBSENT)/libsent-config --cflags`
LDFLAGS=@LDFLAGS@ -L$(LIBSENT) -lsent @LIBS@ `$(LIBSENT)/libsent-config --libs` -lm
RM=@RM@ -f
prefix=@prefix@
exec_prefix=@exec_prefix@
INSTALL=@INSTALL@

############################################################

TARGETS=adintool

all: $(TARGETS)

adintool: adintool.c $(LIBSENT)/libsent.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ adintool.c $(LDFLAGS)

############################################################

install: install.bin install.man

install.bin: $(TARGETS)
	${INSTALL} -d @bindir@
	@INSTALL_PROGRAM@ $(TARGETS) @bindir@

install.man:
	${INSTALL} -d @mandir@/man1
	@INSTALL_DATA@ adintool.man @mandir@/man1/adintool.1

install.man.ja:
	${INSTALL} -d @mandir@/man1
	@INSTALL_DATA@ adintool.man.ja @mandir@/man1/adintool.1

############################################################

clean:
	$(RM) $(TARGETS) *.o *~ core

distclean:
	$(RM) $(TARGETS) *.o *~ core
	$(RM) Makefile
